<?php


//use Tygh\Registry;
use Tygh\Addons\SchetmashCash\Schetmash;
use Tygh\Settings;


if (!defined('BOOTSTRAP')) { die('Access denied'); }

if ($mode === 'api') {

    $denied = false;
    $json = new \stdClass;
    $json->status = 'error';

    //$api_token = Registry::get('addons.rus_schetmash_cash.api_token');
    $api_token = Settings::instance()->getValue('api_token', 'rus_schetmash_cash');

    if(!empty($api_token)) {         

        if(!isset($_GET['api_token']) || strcasecmp($api_token, (string)$_GET['api_token'] ) !== 0) {
            $denied = true;
            $json->status = 'denied';
        } 
    }

    if($denied === false) {

        $response = json_decode(file_get_contents('php://input'));  

        if(is_object($response) && isset($response->id) && isset($response->status)  )  { 

            $schetmash = Tygh::$app['addons.rus_schetmash_cash.schetmash'];
            $result = $schetmash->updateCheck( $response );
            if($result){
                $json->status = 'success';
            }

        }

    }


    header('Content-Type: application/json');
    echo json_encode($json);
    exit;


} elseif($mode === 'cron') {

    $schetmash = Tygh::$app['addons.rus_schetmash_cash.schetmash'];

    $row = $schetmash->getProcessingCheck(); 

    if(!empty($row)) {
        if(!empty($row['uuid'])) {
            $schetmash->getStatusCheck($row['uuid']); 
        } else {
            $schetmash->addCheck( $row['order_id'], $row['type'], $row['id'] );
        }
    }
    
    exit;
}
