<?php


/**
 * Gets statuses list for statuses_paid setting.
 */
function fn_settings_variants_addons_rus_schetmash_cash_statuses_paid()
{
    return fn_get_simple_statuses(STATUSES_ORDER);
}

/**
 * Gets statuses list for statuses_refund setting.
 */
function fn_settings_variants_addons_rus_schetmash_cash_statuses_refund()
{
    return fn_get_simple_statuses(STATUSES_ORDER);
}


function fn_settings_variants_addons_rus_schetmash_cash_payments() {  

    $payments = fn_get_payments();
    $arr = array();
  
    foreach($payments as $pay) {
        $arr[$pay['payment_id']] = $pay['payment'];
    }    
    
    return $arr; 
}


/**
 * Gets taxation systems list for sno setting.
 */
function fn_settings_variants_addons_rus_schetmash_cash_sno()
{
    return array(
        'osn' =>  __('rus_schetmash_cash.sno.osn'),       
        'usn_income' =>  __('rus_schetmash_cash.sno.usn_income'),
        'usn_income_outcome'  => __('rus_schetmash_cash.sno.usn_income_outcome'),       
        'envd' => __('rus_schetmash_cash.sno.envd'),       
        'esn' => __('rus_schetmash_cash.sno.esn'),        
        'patent' => __('rus_schetmash_cash.sno.patent')        
    );

}